#
# spec file for package gigaset-frontend
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gigaset-frontend
Version:        0.7.2
Release:        lp150.19.4
Summary:        Siemens Gigaset configuration software
Source:         http://prdownloads.sourceforge.net/gigaset307x/gigaset-frontend-%{version}.tar.gz
Source1:        gigaset-frontend.desktop
Patch1:         gigaset-frontend-optflags.patch
Source99:       gigaset-frontend-rpmlintrc
Url:            http://gigaset307x.sourceforge.net/frontend.html
Group:          Hardware/ISDN
License:        GPL-2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1120
BuildRequires:  linux-glibc-devel
%else
BuildRequires:  linux-kernel-headers
%endif
BuildRequires:  libqt4-devel
BuildRequires:  libexpat-devel
BuildRequires:  gcc gcc-c++ glibc-devel make pkgconfig
BuildRequires:  update-desktop-files

%description
This package contains user space configuration programs for Siemens Gigaset
ISDN devices.

%package qt
Summary:        Siemens Gigaset configuration software (GUI)
Group:          Hardware/ISDN

%description qt
This package contains qgigaset, a graphical user space configuration program
for Siemens Gigaset ISDN devices.

%prep
%setup -q
%patch1

%build
# not autotools:
./configure \
    --prefix="%{_prefix}" \
    --libdir="%{_libdir}" \
    --mandir="%{_mandir}" \
    --datadir="%{_datadir}" \
    --destdir="%{buildroot}" \
    --with-expat \
    --with-qt \
    --without-qtlibs

%__make %{?_smp_flags} \
    RELEASE=1 \
    CC="%__cc" \
    CXX="%__cxx" \
    OPTFLAGS="%{optflags}" \
    QTDIR="%{_usr}" \
    QTBINDIR="%{_bindir}" \
    MOC="%{_bindir}/moc" \
    LRELEASE="%{_bindir}/lrelease" \
    LUPDATE="%{_bindir}/lupdate"

%install
%__make \
    RELEASE=1 \
    CC="%__cc" \
    CXX="%__cxx" \
    OPTFLAGS="%{optflags}" \
    QTDIR="%{_usr}" \
    QTBINDIR="%{_bindir}" \
    MOC="%{_bindir}/moc" \
    LRELEASE="%{_bindir}/lrelease" \
    LUPDATE="%{_bindir}/lupdate" \
    install

find "%{buildroot}%{_datadir}/" -type f -exec %__chmod -x {} \;

LFILE="$PWD/.lang"
pushd "%{buildroot}%{_datadir}/qgigaset"
/bin/ls -1d *.qm | while read qm; do
    l="${qm##*_}"
    l="${l%.qm}"
    echo "%lang($l) %{_datadir}/qgigaset/$qm" >>"$LFILE"
done

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" Settings HardwareSettings

%files
%defattr(-,root,root)
%doc COPYING README TODO Release.notes known_bugs.txt
%{_sbindir}/gigaconf
%{_sbindir}/gigacontr
%doc %{_mandir}/man8/gigaconf.8%{ext_man}
%doc %{_mandir}/man8/gigacontr.8%{ext_man}

%files qt -f .lang
%defattr(-,root,root)
%{_bindir}/qgigaset
%{_datadir}/qgigaset
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Aug 16 2015 p.drouand@gmail.com
- Update to version 0.7.2
  * gigacontr: new command --cfxset for setting call forwarding
  * manpage improvements
* Wed Jan 14 2015 p.drouand@gmail.com
- Update to version 0.7.1
  + build improvements
- Changes from version 0.7.0
  + phonebook function improvements
  + documentation improvements
  + add gigaconf and gigacontr --version option
- Remove redundant %%clean section
- Specfile cleanup
- Remove gigaset-frontend-fix_uninitialized.patch; merged on upstream
  release
* Mon Aug 29 2011 cfarrell@suse.com
- license update: GPL-2.0
  Use modern syntax
* Sun Aug 21 2011 pascal.bleser@opensuse.org
- initial version (0.6.0)
